Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlevs.ede.api
Interface EventTypeRepository

public interface EventTypeRepository
extends java.lang.Iterable

EventTypeRepository is a repository for all of the registered event types in the Event Server.

Field Summary
`static java.lang.String` | `SERVICE_FILTER`
`static java.lang.String` | `SERVICE_ID`

Method Summary
`EventType` | `deregisterEventType(java.lang.String eventType)` Remove event type from the repository.
`EventType` | `getEventType(java.lang.Object event)` Retrieve the event type for an event object.
`EventType` | `getEventType(java.lang.String name)` Retrieve a previously registered even type by name.
`EventType` | `registerEventType(java.lang.String eventType, java.lang.Class supportingClass)` Registers POJO event types into repository.
`EventType` | `registerEventType(java.lang.String eventType, java.lang.Class supportingClass, EventBuilder.Factory factory)` Registers POJO event types into repository specifying an EventBuilder.Factory for the engine to use when instantiating events of this type.
`EventType` | `registerEventType(java.lang.String eventTypeAlias, java.util.Map metadata)` Registers Map event types into repository.
`EventType` | `registerEventType(java.lang.String aliasName, java.util.Map metadata, EventBuilder.Factory factory)` Registers Map event types into repository specifying an EventBuilder.Factory for the engine to use when instantiating events of this type.

Methods inherited from interface java.lang.Iterable
`iterator`

Field Detail

### SERVICE_ID

    public static final java.lang.String SERVICE_ID

### SERVICE_FILTER

    public static final java.lang.String SERVICE_FILTER

Method Detail

### registerEventType

    public EventType registerEventType(java.lang.String eventTypeAlias,
                                       java.util.Map metadata)

  Registers Map event types into repository. Event types are used by Processors for type checking. For example, the BEA EPL processor references the event type repository during the compilation of EPL queries to perform semantic verification. The event type is defined by a Map of String/Class entries. The String key defines the property name, and the Class value defines the property type.

  Parameters:
    `eventTypeAlias` - Event type identifier (e.g. MyEvent, StockEvent)
    `metadata` - Metadata defining event type properties.
  Returns:
    EventType object representing registered type.

### registerEventType

    public EventType registerEventType(java.lang.String aliasName,
                                       java.util.Map metadata,
                                       EventBuilder.Factory factory)

  Registers Map event types into repository specifying an EventBuilder.Factory for the engine to use when instantiating events of this type. Event types are used by Processors for type checking. For example, the BEA EPL processor references the event type repository during the compilation of EPL queries to perform semantic verification. The event type is defined by a Map of String/Class entries. The String key defines the property name, and the Class value defines the property type.

  Parameters:
    `eventTypeAlias` - Event type identifier (e.g. MyEvent, StockEvent)
    `metadata` - Metadata defining event type properties.
    `factory` - Factory used by the engine to manufacture events of this type.
  Returns:
    EventType object representing registered type.

### getEventType

    public EventType getEventType(java.lang.String name)

  Retrieve a previously registered even type by name.

  Parameters:
    `name` - event type name used when registering the event type
  Returns:
    EventType representing the event type of the given name.

### registerEventType

    public EventType registerEventType(java.lang.String eventType,
                                       java.lang.Class supportingClass)

  Registers POJO event types into repository. Event types are used by Processors for type checking. For example, the BEA EPL processor references the event type repository during the compilation of EPL queries to perform semantic verification. The event type is defined by a class that follows the Java Bean getter/setter conventions. The engine instantiates and invokes the methods via reflection when necessary.

  Parameters:
    `eventType` - Event type identifier (e.g. MyEvent, StockEvent)
    `supportingClass` - eventType interface
  Returns:
    EventType object representing registered type.

### registerEventType

    public EventType registerEventType(java.lang.String eventType,
                                       java.lang.Class supportingClass,
                                       EventBuilder.Factory factory)

  Registers POJO event types into repository specifying an EventBuilder.Factory for the engine to use when instantiating events of this type. Event types are used by Processors for type checking. For example, the BEA EPL processor references the event type repository during the compilation of EPL queries to perform semantic verification. The event type is defined by a class that follows the Java Bean getter/setter conventions. The engine instantiates and invokes the methods via reflection when necessary.

  Parameters:
    `eventType` - Event type identifier (e.g. MyEvent, StockEvent)
    `supportingClass` - eventType interface
    `factory` - Factory used by the engine to manufacture events of this type.
  Returns:
    EventType object representing registered type.

### getEventType

    public EventType getEventType(java.lang.Object event)

  Retrieve the event type for an event object. The event object may be a JavaBean or a MapEventObject. In either case, an EventType will be returned.

  Parameters:
    `event` - event object for which to retrieve the event type
  Returns:
    EventType representing the event type of the event object parameter.

### deregisterEventType

    public EventType deregisterEventType(java.lang.String eventType)

  Remove event type from the repository.

  Parameters:
    `eventType` - Event type identifier (e.g. MyEvent, StockEvent)
  Returns:
    EventType event type that has been removed from the repository, or null if not present.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 BEA Systems All Rights Reserved.